<!DOCTYPE html>

<html>

<head>

<title>OscIntRadio</title> 

<style>

.button-group {
	margin:auto 0;
	text-align: center; 
}

.button {
	background-color: Green;
	border: 1px solid White;
	color: white;
	font-size: 48px;
	padding: 20px 24px;
	width: 75%;
}

.button:hover {
	background-color: DarkGreen;
}
	
.osctext {
	font-size: 48px;
}

</style>

</head>

<body style="text-align:center;"> 

<h1>OscIntRadio 1.2</h1>

	<?php
	
		// $_POST where name is key
		$post = $_POST;
		$key = key($_POST);
		
		$showmenu = true;
		
		if ($key == "button1") { 
			echo "Loading playlist...";
			exec("mpc clear");
			exec("mpc load oscplaylist");
			
		} elseif ($key == "button2") { 
			exec("mpc playlist oscplaylist",$o);
			echo "<form method=\"post\">";
			echo "<div class=\"button-group\">";
			$count = 0;

			foreach($o as $item) {
				$count = $count + 1;
				echo "<input type=\"submit\" name=\"song";
				echo $count;
				echo "\" value=\"";
				echo $item;
				echo "\" class=\"button\"/>";
				echo "\n"; 
			}
			
			echo "</div>";
			echo "</form>";
			$showmenu = false;

		} elseif ($key == "button3") { 
			echo "<form method=\"post\" class='osctext'>";
			echo "Name: <input type='text' name='station_name' class='osctext'><br>";
			echo "URL: <input type='text' name='station_url' class='osctext'><br>";
			echo "<div class='button-group'>";
			echo "<input type='submit' name='station_add' value='OK' class='button'/>";
			echo "\n"; 
			echo "<input type='submit' name='station_add' value='Cancel' class='button'/>";
			echo "\n"; 
			echo "</div>";
			echo "</form>";
			$showmenu = false;

		} elseif ($key == "button4") {

			echo "<form method='post'>";
			echo "<div class='button-group'>";

			$file_row = 0;
			$file_array = file("/var/lib/mpd/playlists/oscplaylist.m3u", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
			foreach ($file_array as $file_line) {
				if (substr($file_line, 0, 7) == "#EXTINF") {
					$file_station = substr($file_line, 10);
					echo "<input type='submit' name='del";
					echo $file_row;
					echo "' value='";
					echo $file_station;
					echo "' class='button'/>";
					echo "\n";
				}
				$file_row++;
			}
			
			echo "</div>";
			echo "</form>";
			
			$showmenu = false;
			
		} elseif (substr($key, 0, 3) == "del") {
			$del_station = $_POST[$key];
			echo "deleting " . $del_station;
			$file_row = 0;
			$file_array = file("/var/lib/mpd/playlists/oscplaylist.m3u", FILE_IGNORE_NEW_LINES | FILE_SKIP_EMPTY_LINES);
			foreach ($file_array as $file_line) {
				if (strpos($file_line, $del_station) !== false) {
					unset($file_array[$file_row]);
					unset($file_array[$file_row + 1]);
				}
				$file_row++;
			}
			
			file_put_contents('/var/lib/mpd/playlists/oscplaylist.m3u', implode(PHP_EOL, $file_array));
		
		} elseif (isset($_REQUEST['station_add'])) {
			echo "Station added!";
			$station_name = $_POST["station_name"];
			$station_url = $_POST["station_url"];
			$txt = "\n#EXTINF:0," . $station_name . "\n" . $station_url  . "\n";
 			$myfile = file_put_contents('/var/lib/mpd/playlists/oscplaylist.m3u', $txt, FILE_APPEND | LOCK_EX);

		} elseif ($key == "button9") { 
			echo "Shutting down...";
			exec("sudo shutdown now",$o, $r);
			print_r($r);
			
		} elseif (substr($key, 0, 3) == "vol") {
			$song = substr($key, 3);
			exec("mpc volume " . $song);
					
		} elseif (substr($key, 0, 4) == "song") {
			$song = substr($key, 4);
			exec("mpc play " . $song);			
		}
		
		if ($showmenu == true) {
			echo "<p>Server ip: " . $_SERVER['SERVER_ADDR'] . "</p>";
			echo "<p>Server: " . php_uname() . "</p>";

	?> 
			<form method="post"> 

			<div class="button-group">
				<input type="submit" name="button1" value="Clear and Load" class="button"/> 
				<input type="submit" name="button2" value="List and Play" class="button"/>
				<input type="submit" name="button3" value="Station - add" class="button"/>
				<input type="submit" name="button4" value="Station - delete" class="button"/> 
				<input type="submit" name="button9" value="Shut down" class="button"/>
				<input type="submit" name="vol20" value="Volume 20" class="button"/>
				<input type="submit" name="vol50" value="Volume 50" class="button"/> 
				<input type="submit" name="vol80" value="Volume 80" class="button"/> 
			</div> 

			</form>
			
	<?php
		}
	?> 

</body>
</html>
